Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets.security
Class PolicyFileReader

    java.lang.Object
      |
      +--com.ibm.aglets.security.PolicyFileReader

public class PolicyFileReader
extends java.lang.Object

The `PolicyFileReader` class accesses Java policy database file and returns PolicyDB object.

Version:
  1.00 $Date: 2001/07/28 06:33:12 $
Author:
  ONO Kouichi

Constructor Summary
`PolicyFileReader(java.lang.String policyFilename)`

Method Summary
`static PolicyDB` | `getAllPolicyDB()`
`static PolicyDB` | `getAllPolicyDB(java.lang.String userPolicyFilename)`
`protected static PolicyDB` | `getAllPolicyDB(java.lang.String systemPolicyFilename, java.lang.String userPolicyFilename)`
`PolicyDB` | `getPolicyDB()`
`protected PolicyPermission` | `getPolicyPermission()`
`static java.lang.String` | `getSystemPolicyFilename()`
`static java.lang.String` | `getUserPolicyFilename()`
`protected void` | `initialize()`
`static void` | `main(java.lang.String[] arg)`
`protected void` | `readPolicyDB()`
`protected void` | `readPolicyFile(java.lang.String filename)`
`protected void` | `readPolicyGrant()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyFileReader

    public PolicyFileReader(java.lang.String policyFilename)

Method Detail

### getAllPolicyDB

    public static PolicyDB getAllPolicyDB()

### getAllPolicyDB

    public static PolicyDB getAllPolicyDB(java.lang.String userPolicyFilename)

### getAllPolicyDB

    protected static PolicyDB getAllPolicyDB(java.lang.String systemPolicyFilename,
                                             java.lang.String userPolicyFilename)

### getPolicyDB

    public PolicyDB getPolicyDB()

### getPolicyPermission

    protected PolicyPermission getPolicyPermission()
                                            throws PolicyFileParsingException

### getSystemPolicyFilename

    public static java.lang.String getSystemPolicyFilename()

### getUserPolicyFilename

    public static java.lang.String getUserPolicyFilename()

### initialize

    protected void initialize()

### main

    public static void main(java.lang.String[] arg)

### readPolicyDB

    protected void readPolicyDB()
                         throws PolicyFileParsingException

### readPolicyFile

    protected void readPolicyFile(java.lang.String filename)
                           throws java.io.FileNotFoundException

### readPolicyGrant

    protected void readPolicyGrant()
                            throws PolicyFileParsingException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD